Notifications
Update a notification subscription
PATCH
/v1/notifications/{id}Authorization
accessKey x-access-key<token>
In: header
Path Parameters
id*string
Notification subscription ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/notifications/string" \ -H "Content-Type: application/json" \ -d '{}'{
"success": true,
"notification": {
"id": "string",
"channel": "webhook",
"profileId": "string",
"eventTypes": [
"post.scheduled"
],
"onlyScheduledPosts": true,
"enabled": true,
"webhook": {
"url": "http://example.com",
"secret": "string"
},
"email": {
"recipients": [
"user@example.com"
]
},
"lastTestAt": "2019-08-24T14:15:22Z",
"lastTestStatus": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}{
"success": true,
"message": "string"
}{
"success": true,
"message": "string"
}